from typing import Optional

from httpx import AsyncClient

from py_directus import Directus


cached_directus_instances = dict[str, Directus]()

directus_session = AsyncClient()
directus_session.timeout = 5
directus_session.headers.update({'Cache-Control': 'no-store'})

directus_url: str = None
# Client with administrator access
directus_admin: Optional[Directus] = None
# Public directus
directus_public: Optional[Directus] = None


async def async_init(directus_base_url: str, directus_admin_token: str = None):
    global directus_admin
    global directus_public
    global directus_url

    directus_url = directus_base_url
    directus_public = await Directus(directus_url, connection=directus_session)

    if directus_admin_token:
        directus_admin = await Directus(directus_url, token=directus_admin_token, connection=directus_session)
